!set title=Multiplicabilidad
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=c
varcnt=20
prevarcnt=19
postvarcnt=0
replycnt=0
choicecnt=1
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=Verdadero
val7=Falso
val8=$val6,$val7
tmp0=!randitem rows,columns

val9=$(tmp0)
tmp0=!randitem A,B

val10=$(tmp0)
tmp0=!randitem AB,BA

val11=$(tmp0)
tmp0=!randitem A,A + B,AB

tmp=!trim ,\(AB) tiene sentido,\(BA) tiene sentido,$val7	cuadrada,\(AB) tiene sentido,\(BA) tiene sentido,$val6	,\(AB) tiene sentido y es una matriz cuadrada,\(BA) tiene sentido,$val6	,\(AB) y \(BA) son matrices cuadradas,\(A) and \(B) son matrices cuadradas,$val7	,\(A + B) tiene sentido,\(AB) tiene sentido,$val7	cuadrada,\(A + B) tiene sentido, \(AB) tiene sentido,$val6	,\(AB) tiene sentido,\(A + B) tiene sentido,$val7	cuadrada,\(AB) tiene sentido,\(A + B) tiene sentido,$val6	,\(AB = BA),\(A) y \(B) son matrices cuadradas,$val6	,\(AB = BA),\(AB) es una matriz cuadrada,$val6	,\(A) y \(B) son del mismo tipo, \(AB) tiene sentido,$val7	cuadrada,\(A) y \(B) son del mismo tipo, \(AB) tiene sentido,$val6	,\(A^2) tiene sentido, \(A) es una matriz cuadrada,$val6	,\(A) es un amatriz cuadrada,\(A^2) tiene sentido,$val6	,\(A + B) y \(AB) tiene sentido,\($(tmp0)) es una matriz cuadrada,$val6	,\(AB) tiene sentido y es una matriz cuadrada,$val10 es un amatriz cuadrada,$val7	,\(AB) tiene sentido,\(AB) y \(B) tienen el mismo tamaño,$val6,con \(A) cuadrada	,\(AB) tiene sentido,\(AB) y \(A) tienen el mismo tamaño,$val7,con \(A) cuadrada	,\(AB) tiene sentido,\(AB) es una matriz cuadrada $val7,con \(A) cuadrada	,\(AB) tiene sentido,\(BA) tiene sentido,$val7,con \(A) cuadrada	,\(A) y \(B) tienen el mismo número de $val9,\($val11) tiene sentido,$val7	cuadrada,\(A) y \(B) tienen el mismo número de $val9,\($val11) tiene sentido,$val6	,\($val10) es la matriz 0, \($val11) tiene sentido,$val7	cuadrada,\($val10) es la matriz 0,\($val11) tiene sentido,$val7	,\(AB) y \(BA) tienen sentido,\(AB = BA),$val7	cuadrada,\(AB) y \(BA) tienen sentido,\(AB = BA),$val7	cuadrada,\(A) y \(B) son del mismo orden, \(AB = BA),$val7		
val12=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val12

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val12=$(tmp0)
tmp0=!item 1 of $val12

val13=$(tmp0)
tmp0=!item 2 of $val12

val14=$(tmp0)
tmp0=!item 3 of $val12

val15=$(tmp0)
tmp0=!item 4 of $val12

val16=$(tmp0)
tmp0=!item 5 of $val12

val17=$(tmp0)
val18=$val14,$val15
!if C isin $val18 
val19=Sean \(A), \(B), \(C) tres matrices $val13 
!else
!if B isin $val18 
val19=Sean \(A), \(B) dos matrices $val13
!else
val19=Sea \(A) una matriz $val13 
!endif
!endif
val20=

!ifval $val17 notsametext $val20
val17=$val20 $val17
!endif
choicename1=La respuesta
choicegood1=$val16
choicebad1=$val8
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()$val19$val17. ¿Es cierta la siguiente afirmación?	<p><center>	 Si $val14, entonces $val15.	</center><p>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=14,15,17,19
embedcnt=0
